import numpy as np
import matplotlib.pyplot as plt

A = float(input("Entrer la valeur de la constante A (en V) :   "))
B = float(input("Entrer la valeur de la constante B (en V) :   "))
w0 = float(input("Entrer la valeur de la pulsation propre w0 (en s-1) :   "))
Q = float(input("Entrer la valeur du facteur de qualité :   "))
w=w0*np.sqrt(1-1/(4*Q**2))
n = float(input("Entrer le nombre de pseudo-périodes à afficher :   "))
t = np.linspace(0, n*2/w*np.pi, 1000)
f = np.exp(-w0/(2*Q)*t) * (A*np.cos(w*t) + B*np.sin(w*t))
print("Valeur de la pulsation :",round(w,1), " s-1")

plt.plot(t, f)
plt.xlabel('t (en s)')
plt.ylabel('uc (en V)')
plt.title('Oscillations libres rLC')
plt.grid()
plt.show()
